Bug 893096 - Starting rhnmd on RHEL7 produces AVC denial
Starting rhnmd on RHEL7 produces AVC denial
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
550
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Martin Minar
:
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-01-08 10:14 EST by Tomáš Kašpárek
Modified: 2016-07-03 20:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhnmd-5.3.17-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:45:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomáš Kašpárek 2013-01-08 10:14:35 EST
Description of problem:
rhnmd sometimes produces following AVC denial when starting on RHEL7

Version-Release number of selected component (if applicable):
spacewalk 1.9 nightly, RHEL7 client

How reproducible:
non-determistic

Steps to Reproduce:
1. # service rhnmd start && service rhnmd stop
  
Actual results:
AVC denial
type=AVC msg=audit(1357652638.535:481): avc: denied { name_bind } for pid=5668 comm="rhnmd" src=4545 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unreserved_port_t:s0 tclass=tcp_socket 

Expected results:
no AVC denials

Additional info:
Comment 1 Michael Mráka 2013-07-29 08:46:58 EDT
Fixed in spacewalk nightly by

commit 735a8220c954186373fcf4c640002c513df84673
    893096 - bind rhnmd to port on new RHEL
    fixing
    type=AVC msg=audit(1375100630.341:771): avc:  denied  { name_bind } for pid=19076 comm="rhnmd" src=4545 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unreserved_port_t:s0 tclass=tcp_socket
Comment 2 Michael Mráka 2013-07-29 08:50:25 EDT
Backported to SATELLITE-5.6 as
commit 66a3dfd3ff28d306fda23841e3a86187a48a87bf
    893096 - bind rhnmd to port on new RHEL
Comment 6 Clifford Perry 2014-10-06 12:04:24 EDT
resetting for fresh review. Doubt modified is correct state.
Comment 7 Clifford Perry 2015-01-13 04:45:18 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 - https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

NOTE: This specific bug did not get verified and being closed as assumed fixed. Please reopen if this is not resolved within the release. 

Cliff

Note You need to log in before you can comment on or make changes to this bug.